// **************
// HEX CONVERTER
// **************

// HEX & BASE64
// ************
(function() {

    "use strict";

    // CONVERT TO HEX WITH BASE64
    // **************************
    // button to trigger the conversion to Hex
    var buttonToConvertToHex = document.getElementById('buttonToConvertToHex');
    if(buttonToConvertToHex){
        buttonToConvertToHex.addEventListener('click', function(e){
            var errorConvertToHex = document.getElementById("errorConvertToHex");
            errorConvertToHex.innerHTML = '';

            var strToConvertToHex = document.getElementById("strToConvertToHex").value;
            if('' == strToConvertToHex) {                           
                document.getElementById("errorConvertToHex").innerHTML = '<p class="alert alert-danger"><i class="bi bi-exclamation-circle"></i> Merci d\'indiquer un contenu textuel à convertir en hexadécimal !</p>'
                return;
            }
            convertFromStrToHex();
        });
    }

    // convert the input entered by the user to hex string.
    function convertFromStrToHex() {
        function convertToHex(strToConvertToHex) {
            // clear first
            const strConv = document.getElementById("strConvertedToHex");
            strConv.value = '';
            
            strToConvertToHex = utf8_to_b64(strToConvertToHex);

            var hex = '';
            for(var i = 0; i < strToConvertToHex.length; i++) {
                hex += '' + strToConvertToHex.charCodeAt(i).toString(16);
            }
            return hex.toUpperCase();
        }
        var strToConvertToHex = document.getElementById("strToConvertToHex").value;
        var strConvertedToHex = convertToHex(strToConvertToHex);
        addText(strConvertedToHex, 'strConvertedToHex');
        removeDisabled('strConvertedToHex');
        setDisabled('buttonToConvertToHex');
    }

    // cancel
    var cancelConvertToHex = document.getElementById('cancelConvertToHex');
    if(cancelConvertToHex){
        cancelConvertToHex.addEventListener('click', function(e){
            e.preventDefault();
            var errorConvertToHex = document.getElementById("errorConvertToHex");
            errorConvertToHex.innerHTML = '';

            const nodeStrToConvertToUTF8 = document.getElementById("strToConvertToHex");
                  nodeStrToConvertToUTF8.value = '';

            const nodeStrConvertedToUTF8 = document.getElementById("strConvertedToHex");
                  nodeStrConvertedToUTF8.value = '';

            removeDisabled('buttonToConvertToHex');
            setDisabled('strConvertedToHex');
        })
    }


    // CONVERT TO STRING (UTF8)
    // ************************
    // button to trigger the conversion to string UTF8
    var buttonToConvertToUTF8 = document.getElementById('buttonToConvertToUTF8');
    if(buttonToConvertToUTF8){
        buttonToConvertToUTF8.addEventListener('click', function(e){
            var errorConvertToUTF8 = document.getElementById("errorConvertToUTF8");
            errorConvertToUTF8.innerHTML = '';

            var strToConvertToUTF8 = document.getElementById("strToConvertToUTF8").value;
            if('' == strToConvertToUTF8) {                           
                document.getElementById("errorConvertToUTF8").innerHTML = '<p class="alert alert-danger"><i class="bi bi-exclamation-circle"></i> Merci d\'indiquer un contenu textuel hexadécimal à convertir en UTF8 !</p>'
                return;
            }
            convertFromHexToStr();
        });
    }

    // convert the input entered by the user to hex string.
    function convertFromHexToStr() {
        function convertToUTF8(strToConvertToUTF8) {

            if(!isHex(strToConvertToUTF8)) {
                document.getElementById("errorConvertToUTF8").innerHTML = '<p class="alert alert-danger"><i class="bi bi-exclamation-circle"></i> Cette chaîne n\'est pas une chaîne hexadécimal. Merci de relire votre saisie !</p>'
                return;
            }

            // clear first
            const strConv = document.getElementById("strConvertedToUTF8");
            strConv.value = '';

            var hex = strToConvertToUTF8.toString(); // force conversion
            var str = '';
            for (var i = 0; i < hex.length; i += 2) {
                str += String.fromCharCode(parseInt(hex.substr(i, 2), 16));
            }

            str = b64_to_utf8(str);
            return str;
        }
        var strToConvertToUTF8 = document.getElementById("strToConvertToUTF8").value;
        var strConvertedToUTF8 = convertToUTF8(strToConvertToUTF8);
        addText(strConvertedToUTF8, 'strConvertedToUTF8');
        removeDisabled('strConvertedToUTF8');
        setDisabled('buttonToConvertToUTF8');
    }
    // cancel
    var cancelConvertToUTF8 = document.getElementById('cancelConvertToUTF8');
    if(cancelConvertToUTF8){
        cancelConvertToUTF8.addEventListener('click', function(e){
            e.preventDefault();
            var errorConvertToUTF8 = document.getElementById("errorConvertToUTF8");
            errorConvertToUTF8.innerHTML = '';

            const nodeStrToConvertToUTF8 = document.getElementById("strToConvertToUTF8");
                  nodeStrToConvertToUTF8.value = '';

            const nodeStrConvertedToUTF8 = document.getElementById("strConvertedToUTF8");
                  nodeStrConvertedToUTF8.value = '';

            removeDisabled('buttonToConvertToUTF8');
            setDisabled('strConvertedToUTF8');
        })
    }
})();


