// **************
// HEX CONVERTER
// **************

// HEX WITHOUT BASE64
// ******************
(function() {

    "use strict";

    // CONVERT TO HEX WITHOUT BASE64
    // *****************************
    // button to trigger the conversion to Hex
    var buttonToConvertOtpToHex = document.getElementById('buttonToConvertOtpToHex');
    if(buttonToConvertOtpToHex){
        buttonToConvertOtpToHex.addEventListener('click', function(e){
            var errorConvertOtpToHex = document.getElementById("errorConvertOtpToHex");
            errorConvertOtpToHex.innerHTML = '';

            var strToConvertOtpToHex = document.getElementById("strToConvertOtpToHex").value;
            if('' == strToConvertOtpToHex) {                           
                document.getElementById("errorConvertOtpToHex").innerHTML = '<p class="alert alert-danger"><i class="bi bi-exclamation-circle"></i> Merci d\'indiquer un contenu textuel à convertir en hexadécimal !</p>'
                return;
            }
            convertFromStrToHexWithoutBase64();
        });
    }

    // convert the input entered by the user to hex string.
    function convertFromStrToHexWithoutBase64() {
        function convertToHexWithoutBase64(strToConvertOtpToHex) {
            // clear first
            const strConv = document.getElementById("strConvertedOtpToHex");
            strConv.value = '';

            var hex = '';
            for(var i = 0; i < strToConvertOtpToHex.length; i++) {
                hex += '' + strToConvertOtpToHex.charCodeAt(i).toString(16);
            }
            return hex.toUpperCase();
        }

        var strToConvertOtpToHex = document.getElementById("strToConvertOtpToHex").value;
        if(!isAlphaUpper(strToConvertOtpToHex) || hasNumber(strToConvertOtpToHex)) {                                                   
            document.getElementById("errorConvertOtpToHex").innerHTML = '<p class="alert alert-danger"><i class="bi bi-exclamation-circle"></i> Merci d\'indiquer un contenu textuel en MAJUSCULES et uniquement des lettres !</p>'
            return;
        }
        var strConvertedOtpToHex = convertToHexWithoutBase64(strToConvertOtpToHex);

        addText(strConvertedOtpToHex, 'strConvertedOtpToHex');
        removeDisabled('strConvertedOtpToHex');
        setDisabled('buttonToConvertOtpToHex');
    }

    // cancel
    var cancelConvertOtpToHex = document.getElementById('cancelConvertOtpToHex');
    if(cancelConvertOtpToHex){
        cancelConvertOtpToHex.addEventListener('click', function(e){
            e.preventDefault();
            var errorConvertOtpToHex = document.getElementById("errorConvertOtpToHex");
            errorConvertOtpToHex.innerHTML = '';

            const nodeStrToConvertOtpToUTF8 = document.getElementById("strToConvertOtpToHex");
                  nodeStrToConvertOtpToUTF8.value = '';

            const nodeStrConvertedOtpToUTF8 = document.getElementById("strConvertedOtpToHex");
                  nodeStrConvertedOtpToUTF8.value = '';

            removeDisabled('buttonToConvertOtpToHex');
            setDisabled('strConvertedOtpToHex');
        })
    }


    // CONVERT TO STRING (UTF8)
    // ************************
    // button to trigger the conversion to string UTF8
    var buttonToConvertOtpToUTF8 = document.getElementById('buttonToConvertOtpToUTF8');
    if(buttonToConvertOtpToUTF8){
        buttonToConvertOtpToUTF8.addEventListener('click', function(e){
            var errorConvertOtpToUTF8 = document.getElementById("errorConvertOtpToUTF8");
            errorConvertOtpToUTF8.innerHTML = '';

            var strToConvertOtpToUTF8 = document.getElementById("strToConvertOtpToUTF8").value;
            if('' == strToConvertOtpToUTF8) {                           
                document.getElementById("errorConvertOtpToUTF8").innerHTML = '<p class="alert alert-danger"><i class="bi bi-exclamation-circle"></i> Merci d\'indiquer un contenu textuel hexadécimal à convertir en UTF8 !</p>'
                return;
            }
            convertFromHexToStrOtp();
        });
    }

    // convert the input entered by the user to hex string.
    function convertFromHexToStrOtp() {
        function convertToUTF8Otp(strToConvertOtpToUTF8) {

            if(!isHex(strToConvertOtpToUTF8)) {
                document.getElementById("errorConvertOtpToUTF8").innerHTML = '<p class="alert alert-danger"><i class="bi bi-exclamation-circle"></i> Cette chaîne n\'est pas une chaîne hexadécimal. Merci de relire votre saisie !</p>'
                return;
            }

            // clear first
            const strConv = document.getElementById("strConvertedOtpToUTF8");
            strConv.value = '';

            var hex = strToConvertOtpToUTF8.toString(); // force conversion
            var str = '';
            for (var i = 0; i < hex.length; i += 2) {
                str += String.fromCharCode(parseInt(hex.substr(i, 2), 16));
            }

            return str;
        }
        var strToConvertOtpToUTF8 = document.getElementById("strToConvertOtpToUTF8").value;
        var strConvertedOtpToUTF8 = convertToUTF8Otp(strToConvertOtpToUTF8);
        addText(strConvertedOtpToUTF8, 'strConvertedOtpToUTF8');
        removeDisabled('strConvertedOtpToUTF8');
        setDisabled('buttonToConvertOtpToUTF8');
    }
    // cancel
    var cancelConvertOtpToUTF8 = document.getElementById('cancelConvertOtpToUTF8');
    if(cancelConvertOtpToUTF8){
        cancelConvertOtpToUTF8.addEventListener('click', function(e){
            e.preventDefault();
            var errorConvertOtpToUTF8 = document.getElementById("errorConvertOtpToUTF8");
            errorConvertOtpToUTF8.innerHTML = '';

            const nodeStrToConvertOtpToUTF8 = document.getElementById("strToConvertOtpToUTF8");
                  nodeStrToConvertOtpToUTF8.value = '';

            const nodeStrConvertedOtpToUTF8 = document.getElementById("strConvertedOtpToUTF8");
                  nodeStrConvertedOtpToUTF8.value = '';

            removeDisabled('buttonToConvertOtpToUTF8');
            setDisabled('strConvertedOtpToUTF8');
        })
    }
})();
