var lgKeys = [
    'meta.title',
    
    'nav.dashboard',
    'nav.asymCypher',
    'nav.signature',
    'nav.symCypher',
    'nav.otpCypher',
    'nav.tools',

    'dashboard.title',
    'dashboard.introduction',
    'dashboard.menuCypherAsym',
    'dashboard.menuSignature',
    'dashboard.menuCypherSym',
    'dashboard.menuOTP',
    'dashboard.menuQRCode',
    'dashboard.menuTAM',
    'dashboard.menuHash',
    'dashboard.menuConverterHexa',
    'dashboard.menuCodeSecurity',
    'dashboard.paragraph',

    'codeSecurity.title',
    'codeSecurity.general.subtitle',
    'codeSecurity.general.text',
    'codeSecurity.licence.subtitle',
    'codeSecurity.licence.text',
    'codeSecurity.resilience.subtitle',
    'codeSecurity.resilience.text',
    'codeSecurity.library.subtitle',
    'codeSecurity.library.text',
    'codeSecurity.codesjs.subtitle',
    'codeSecurity.codesjs.text',
    'codeSecurity.conclusion.subtitle',
    'codeSecurity.conclusion.text',
];

var resources = {
    en: {
        translation: {
            "meta": {
                "title" : "XENATON - XENATX - Autonomous application"
            },
            "nav": {
                "dashboard" : "Dashboard",
                "asymCypher" : "Asym. Cypher",
                "signature" : "Signature",
                "symCypher" : "Sym. Cypher",
                "otpCypher" : "OTP",
                "tools" : "Tools"
            },
            "dashboard": {
                "title" : "Dashboard",
                "introduction": "This stand-alone app XENATX (v1.0 so still in alpha version) has been designed to be used preferably on an equipment called OFF <i>(not connected and never reconnected)</i>. The XENATX makes the following essential functionalities available:",

                "menuCypherAsym": "Asymmetric cypher and generating a key pair",
                "menuSignature": "Signature and signature verification",
                "menuCypherSym": "Symmetric encryption and generation of a key",
                "menuOTP": "Encryption by One Time Pad (OTP)",
                "menuQRCode": "QR Code - Contactless transfer",
                "menuTAM": "TAM - Acoustic Morse Transmitter",
                "menuHash": "Footprint calculation (hash)",
                "menuConverterHexa": "Hexadecimal converter",
                "menuCodeSecurity": "Code Security",

                "paragraph1": `<p>Find out how to verify the code of the XENATX by following the instructions given in the <a href="#scrollSpyTools">Tools</a> section in the tab <mark><i class="bi bi-file-code"></i> Security of the code</mark>.</p>`
            }
          
        }
    },
    fr: {
        translation: {
            "meta": {
                "title" : "XENATON - XENATX - Application autonome"
            },
            "nav": {
                "dashboard" : "Tableau de bord",
                "asymCypher" : "Chiffr. Asym.",
                "signature" : "Signature",
                "symCypher" : "Chiffr. Sym.",
                "otpCypher" : "OTP",
                "tools" : "Outils"
            },
            "dashboard": {
                "title" : "Tableau de bord",
                "introduction": `<p>              
                       Le XENATX fonctionne comme un site web, dans un navigateur, mais sans besoin d'être connecté à Internet. Il suffit de dézipper le dossier téléchargé et de double-cliquer sur le fichier index.html pour le lancer. Le XENATX est donc une application autonome utilisable sur toutes plateformes (MacOS, Windows, Linux) avec juste quelques restrictions d'usage pour l'heure sur iOS et Android.
                    </p>
                    <p>                
                        Son utilisation, pour les parties chiffrement et déchiffrement, doit se faire de préférence sur un équipement dit OFF <i>(non connecté et jamais re-connecté)</i>. Les fonctionnalités essentielles suivantes vous sont rendues accessibles&nbsp;:
                    </p>`,               

                "menuCypherAsym": "Chiffrement asymétrique et génération d'une paire de clés",
                "menuSignature": "Signature et vérification de signature",
                "menuCypherSym": "Chiffrement symétrique et génération d'une clé",
                "menuOTP": "Chiffrement par masque jetable (OTP)",
                "menuQRCode": "QR Code - Transfert sans contact",
                "menuTAM": "TAM - Transmetteur Acoustique en Morse",
                "menuHash": "Calcul d'empreinte (hash)",
                "menuConverterHexa": "Convertisseur hexadécimal",
                "menuCodeSecurity": "Sécurité du code",

                "paragraph": `<p>
                    Découvrez comment vérifier le code du XENATX en suivant les consignes indiquées à la section <a href="#scrollSpyTools">Outils</a> dans l'onglet <mark><i class="bi bi-file-code"></i> Sécurité du code</mark>.
                </p>
                <p>
                    Rendez-vous également à la section <a href="#scrollSpyTools">Outils</a> dans l'onglet <mark><i class="bi bi-patch-question"></i> XENATON</mark> pour en savoir plus sur l'historique et les services de XENATON.
                </p>`
                
            },

            "codeSecurity": {
                "title": "Sécurité du code",
                "general" : {
                    "subtitle": "Généralités",
                    "text" : `<p>       
                                    Tout utilisateur du XENATX est en droit, voire en devoir, de se demander ce qui garantit la sécurité et l'innocuité du code.
                                </p>
                                <p>  
                                    De notre point de vue, la réponse la plus valable est que les parties critiques du code proviennent de bibliothèques Open Source. Nous les utilisons sans les modifier et nous vous indiquons comment le vérifier.
                                </p>
                                <p>  
                                    Même si nous vous garantissons que vous pouvez avoir confiance, nous préconisons pour votre sécurité de... ne pas nous faire confiance... <br>Autrement dit, procédez toujours à la vérification du code du XENATX.
                                    <br>Pourquoi ? Parce que même si nous n'avons pas mis de porte dérobée, vous ne devez pas nous croire sur parole. Par ailleurs, des attaques sophistiquées ont permis la modification de code à la volée, parfois même uniquement pour certains utilisateurs en fonction de leur "fingerprint" (empreinte multi-factorielle de leur équipement informatique). 
                                </p>
                                <p>
                                    Le code du XENATX peut donc être intercepté et modifié par un tiers, au vol en quelque sorte, durant le chemin entre notre serveur et votre équipement, lors du téléchargement. Tout est possible quand vous êtes relié à Internet.
                                </p>
                                 </p>
                                    Cette application est destinée à fonctionner, de préférence, sur un équipement hors ligne. Ainsi s'il y avait une porte dérobée dans le XENATX, ce qui n'est pas le cas mais pourrait l'être indirectement comme indiqué ci-dessus, elle ne pourrait pas être exploitée, vu qu'aucun moyen n'existe pour atteindre votre équipement faisant fonctionner le XENATX. 
                                    <br>Nous nommerons tout équipement hors ligne avec le qualificatif "OFF" pour le distinguer d'un équipement "ON", connecté à Internet. 
                                    <br>Un OFF n'a donc pas de wifi, pas de bluetooth et pas de liaison filaire ethernet. Il n'y a donc pas de possibilité de fuite de données sensibles comme une clé privée, un message en clair avant chiffrement, un mot de passe, etc.
                                </p>
                                <p>
                                    Donc, après téléchargement, il vous restera à vérifier que les bibliothèques open source, n'ont pas été modifiées "à la volée", comme indiqué précédemment, pour affaiblir par exemple leur qualité cryptographique. Vous calculerez l'empreinte globale du XENATX (vu au premier paragraphe) pour la comparer à celle que nous indiquons sur le site <a href="https://gitlab.com/xenaton/xenatx/-/wikis/version" target="_blanck">https://gitlab.com/xenaton/xenatx/-/wikis/version</a> mais également les empreintes de chaque bibliothèque open source. Nous expliquons comment faire dans le paragraphe ci-dessous "Bibliothèques Open Source".
                                </p>
                                <p>
                                    Vous l'aurez compris, nous préconisons, avec force, l'usage du XENATX sur un équipement OFF (comme le XENATOFF en cours de développement) pour les communications les plus sensibles. Les QR Codes ou le TAM (Morse) servent alors au transfert sans contact, depuis votre équipement OFF vers votre équipement ON. Vous pouvez ainsi transférer tous types de données comme des messages chiffrés, des clés publiques, des signatures, etc.
                                    <br>Les QR codes, outre leur praticité et rapidité d'usage, ont pour but de vous éviter l'utilisation d'une clé USB pour les transferts de données d'un équipement à un autre. Idem pour le TAM.
                                    <br>En effet, une clé USB peut facilement être infectée par un malware (type badUSB entre autres) qui se cache dans le firmware. Le malware pourrait alors se propager d'un équipement à un autre sans que vous puissiez vous en rendre compte. Il risquerait ensuite au prochain transfert vers votre équipement ON de faire fuiter vos données sensibles stockées sur votre équipement OFF. Tous les efforts de protection par chiffrement seraient anéantis.
                                </p>
                                <p>
                                    La conception de cette suite d'outils de Cyber Sécurité Personnelle intégrant dès l'origine un fonctionnement mi ON mi OFF, avec transferts sans contact, vous garantit le vrai concept de "Privacy by design", sans besoin d'être un expert en sécurisation d'équipement informatique. 
                                    <br>Le couplage du XENATX avec les services en ligne XenaTeam, XenaTrust et XenaTraining n'est pas indispensable mais ces services sont complémentaires. 
                                    <br>Si vous faites partie d'associations de défense des libertés, vous pouvez peut-être accéder à ces services gratuitement, voire demander à votre association de nous contacter pour un partenariat.
                                </p>       
                                <p>
                                    Dans le cas de l'utilisation de notre service XenaTrust, les messages chiffrés déposés dans la DLB (Dead Letter Box - boîte aux lettres morte) sont indéchiffrables par le serveur. En effet, votre clé privée servant au déchiffrement reste toujours sur votre équipement ON, voire mieux, sur votre équipement OFF, ou encore mieux sur une clé USB ou MicroSD, elle-même chiffrée, et exclusivement utilisée sur votre équipement OFF quand cela est nécessaire.
                                </p>
                                <p>
                                    Nous ne stockons donc jamais vos clés privées et n'essayons pas d'y accéder. Physiquement, nous ne le pourrions même pas si vous utilisez un équipement OFF. Idem pour les données de types clé symétrique, mot de passe et sel utilisées à la section <mark><i class="bi bi-file-earmark-lock"></i> Chiffrement symétrique</mark>.
                                </p>
                                <p>
                                    Vous constaterez qu'aucune fonction JavaScript AJAX n'est là pour rapatrier discrètement des données sensibles vers un quelconque serveur <i>(rappel&nbsp;: si vous utilisez un équipement OFF une fuite n'est physiquement même pas possible)</i>. 
                                    <br>Vous devez bien sûr avoir quelques compétences en informatique pour le vérifier. Le code est néanmoins relativement simple. Le travail difficile étant fait par les bibliothèques open source co-créées et maintenues par des dizaines de développeurs.
                                </p>
                                `
                },
                "licence" : {
                    "subtitle" : "Licence",
                    "text" : `<p>
                                Pour l'heure, l'usage est gratuit, sans limitation, mais la licence a été maintenue "propriétaire" juste le temps d'un nécessaire affinage de cette jeune application, encore en version alpha, avant de la faire vivre pleinement au sein de la communauté du logiciel libre. Dans le XENATX, seuls les éléments de design, d'ergonomie et d'implémentation du code non critique sont réellement soumis à notre droit de propriété intellectuelle.
                            </p>
                            <p>    
                                Le code est d'ores et déjà ouvert et volontairement non obfusqué, donc parfaitement vérifiable et améliorable. 
                                <br>Nous indiquons d'ailleurs la méthodologie détaillée pour cette vérification et encourageons à la faire. Rendez-vous pour cela sur l'onglet <mark><i class="bi bi-file-code"></i> Sécurité du code</mark> de cette présente section <a class="" href="#scrollSpyTools">Outils</a>.
                            </p>
                            <p>
                                Nous attirons votre attention sur le fait qu'aucune garantie n'est fournie par XENATON quant à l'usage du XENATX qui se fait sous la seule reponsabilité de l'utilisateur. 
                                <br>Des informations complémentaires sur ce sujet sont indiquées dans le fichier README.txt à la racine du dossier XENATX téléchargé. 
                            </p>`
                }, 
                "resilience" : {
                    "subtitle" : "Résilience",
                    "text" : `<p>
                                Concernant nos services en ligne, si nous devions "faire faillite", a minima le XENATX restera utilisable. Il s'utilise de façon autonome sur votre machine ON ou idéalement OFF.
                            </p>
                            <p>
                                Par ailleurs toutes les notions apprises, grâce aux explications dans le XENATX et à notre programme de formation XenaTraining en ligne, resteront pour vous des acquis valables et réutilisables partout. Ces connaissances concernent très majoritairement des protocoles ouverts et des techniques et connaissances logiques.
                            </p>
                            <p>
                                Essentiel&nbsp;: les clés de chiffrement et les signatures créées avec le XENATX, traduisant la lente construction d'un réseau de confiance, resteront pleinement valides, gratuites et réutilisables facilement. 
                                <br>Elles devront simplement être rechargées dans d'autres systèmes. Ces clés et signatures sont également basées sur des protocoles et des standards ouverts et éprouvés.
                            </p>`        
                },
                "library" : {
                    "subtitle" : "Bibliothèques Open Source",
                    "text" : `<p>
                                Nous avons listé toutes les bibliothèques JavaScript utilisées. Vous pouvez les retrouver dans le dossier assets/javascripts/libs dans le dossier source XENATX que vous avez dézippé. Vous pouvez également vérifier le contenu de nos codes JS dans assets/javascripts/modules. Nos codes JS ne sont volontairement pas minifiés, ni obfusqués. Nous indiquons les empreintes sur https://gitlab.com/xenaton/xenatx/-/wikis/version pour que vous puissiez vérifier que rien n'a été altéré par un MITM (Man In The Middle) ou autres techniques.
                            </p>
                            <p>    
                                Utilisez l'onglet <mark><i class="bi bi-hash"></i> Hash - Empreinte</mark> pour calculer les empreintes SHA-512 et les comparer entre elles. Par sécurité, doublez la vérification des empreintes de la façon indiquée plus haut dans l'encadré. 
                                <br>Merci de bien vérifier deux fois avant de penser à nous contacter si les empreintes diffèrent pour l'une ou l'autre des bibliothèques ci-dessous. Il suffit d'un commentaire laissé ou d'un retour à la ligne en trop pour rendre les empreintes différentes.
                            </p>
                            <p class="alert alert-info">

                                Nous avons déniché, implémenté et agrémenté de nos propres codes les bibliothèques suivantes pour créer un système complet et original par son concept. Cependant le premier des mérites revient bien aux créateurs et contributeurs de ces bibliothèques, et, en cascade, à tous ceux qui les ont inspirés. Pour certaines, ces bibliothèques constituent des briques essentielles du XENATX.
                                <br>
                                <br><i class="bi bi-hand-thumbs-up"></i> Remerciements particuliers à davidshimjs Sgnamin Shim (qrcode.js),  Fabian Kurz (jscwlib.js - JS Morse Code Library), Joshua M. David (OTP functions) et Stephen C. Philips (Morse Pro).
                            </p>
                            <p>
                                <strong>Modernizr</strong>
                                <br>Source publique : https://modernizr.com/download/?touchevents-setclasses-shiv (custom build)
                                <br>Appel dans le head du fichier index.html : assets/javascripts/libs/modernizr-3.6.0.min.js
                            </p>
                            <p>
                                <strong>jQuery</strong>
                                <br>Source publique : https://cdnjs.cloudflare.com/ajax/libs/jquery/2.2.4/jquery.min.js
                                <br>Appel dans le head du fichier index.html : assets/javascripts/libs/jquery-2.2.4.min.js
                            </p>
                            <p>
                                <strong>i18next</strong>
                                <br>Source publique : https://cdnjs.cloudflare.com/ajax/libs/i18next/21.8.14/i18next.min.js
                                <br>Appel dans le head du fichier index.html : assets/javascripts/libs/i18next-21.8.14.min.js
                            </p>
                            <p>
                                <strong>Boostrap</strong>
                                <br>Source publique : https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.2.0/js/bootstrap.min.js
                                <br>Appel dans le head du fichier index.html : assets/javascripts/libs/bootstrap-5.2.0.min.js
                            </p>
                            <p>
                                <strong>Crypto-js</strong>
                                <br>Source publique : https://cdnjs.cloudflare.com/ajax/libs/crypto-js/4.1.1/crypto-js.min.js
                                <br>Appel dans le head du fichier index.html : assets/javascripts/libs/crypto-js-4.1.1.min.js
                            </p>
                            <p>
                                <strong>Forge</strong>
                                <br>Source publique : https://cdnjs.cloudflare.com/ajax/libs/forge/1.3.1/forge.min.js
                                <br>Appel dans le head du fichier index.html : assets/javascripts/libs/forge-1.3.1.min.js
                            </p>
                            <p>
                                <strong>Openpgp</strong>
                                <br>Source publique : https://unpkg.com/openpgp@5.3.1/dist/openpgp.min.js
                                <br>Appel dans le head du fichier index.html : assets/javascripts/libs/openpgpjs-5.3.1.min.js
                            </p>
                            <p>
                                <strong>Qrcode</strong>
                                <br>Source publique : https://cdn.jsdelivr.net/gh/davidshimjs/qrcodejs@gh-pages/qrcode.min.js
                                <br>Appel dans le head du fichier index.html : assets/javascripts/libs/qrcode.min.js
                            </p>
                            <p>
                                <strong>Chroma</strong>
                                <br>Source publique : https://raw.githubusercontent.com/gka/chroma.js/main/chroma.min.js
                                <br>Appel dans le head du fichier index.html : assets/javascripts/libs/chroma-2.4.2.min.js
                            </p>
                            <p>
                                <strong>Js-cookie</strong>
                                <br>Source publique : https://cdnjs.cloudflare.com/ajax/libs/js-cookie/2.1.4/js.cookie.min.js (https://github.com/js-cookie/js-cookie/releases/tag/v2.1.4)
                                <br>Appel dans le head du fichier index.html : assets/javascripts/libs/js-cookie-2.1.4.min.js
                            </p>
                            <p>
                                <strong>Décodage morse - Audio-decoder-adaptive</strong>
                                <br>Source publique : https://morsecode.world/js/audio-decoder-adaptive.96da976088f5fb7c78e537b303a0ebee.js 
                                <br>Si la chaine suivante entre crochets du lien ci-dessus change [ 96da976088f5fb7c78e537b303a0ebee ].js, copiez et collez juste le contenu https://morsecode.world/js/audio-decoder-adaptive.*.js et collez-le localement en remplacement. 
                                <br>Les différences ne devraient pas être grandes et vous êtes ainsi garantis d'utiliser une source publique non "manipulée". La bibliothèque complète est ici, pour étude : https://github.com/scp93ch/morse-pro
                                <br>Appel en pied de page du fichier index.html : assets/javascripts/libs/audio-decoder-adaptive-2.0.min.js
                            </p>
                            <p>
                                <strong>Encodage morse - jscwlib.js</strong>
                                <br>ATTENTION ! Nous avons opéré quelques changements sur cette bibliothèque. Lisez le fichier README.txt à la racine du dossier du XENATX pour voir les changements et calculer au mieux l'empreinte pour vérification.
                                <br>Source publique : https://git.fkurz.net/dj1yfk/jscwlib/raw/branch/master/src/jscwlib.js (https://git.fkurz.net/dj1yfk/jscwlib/
                                <br>Appel dans le head du fichier index.html : assets/javascripts/libs/jscwlib.js
                            </p>`        
                },
                "codesjs" : {
                    "subtitle" : "Codes JavaScript",
                    "text" : `<p>
                                Consultez le site <a href="https://gitlab.com/xenaton/xenatx" target="_blanck">https://gitlab.com/xenaton/xenatx</a> pour comparer tous les fichiers des codes internes JS suivants&nbsp;:
                            </p>
                            <p>
                                <strong>Asym. Cypher</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/asym-cypher-1.0.js
                            </p>
                            <p>
                                <strong>Asym. Generate Keys</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/asym-generate-keys-1.0.js
                            </p>
                            <p>
                                <strong>Asym. Info Key</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/asym-info-key-1.0.js
                            </p>
                            <p>
                                <strong>Checksum</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/checksum-1.0.js
                            </p>
                            <p>
                                <strong>Core</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/core-1.0.js
                            </p>
                            <p>
                                <strong>Hash</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/hash-1.0.js
                            </p>
                            <p>
                                <strong>Hash File</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/hash-file-1.0.js
                            </p>
                            <p>
                                <strong>Hex converter</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/hex-converter-1.0.js
                            </p>
                            <p>
                                <strong>Hex converter no base64</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/hex-converter-no-base64-1.0.js
                            </p>
                            <p>
                                <strong>i18n</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/i18n-1.0.js
                            </p>
                            <p>
                                <strong>Lg</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/lg-1.0.js
                            </p>
                            <p>
                                <strong>Morse</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/morse-1.0.js
                            </p>
                            <p>
                                <strong>QR Code</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/qrcode-1.0.js
                            </p>
                            <p>
                                <strong>Signature</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/signature-1.0.js
                            </p>
                            <p>
                                <strong>Sym. cypher</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/sym-cypher-1.0.js
                            </p>
                            <p>
                                <strong>Sym. entropy</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/sym-entropy-1.0.js
                            </p>
                            <p>
                                <strong>Various functions</strong>
                                <br>Appel en bas du fichier index.html : assets/javascripts/modules/various-functions-1.0.js                               
                            </p>`        
                },
                "conclusion" : {
                    "subtitle" : "Conclusion",
                    "text" : `<p>
                                Nous vous remercions de votre confiance, non aveugle comme il se doit. Soyez certains que nous avons le respect de la vie privée et de la souveraineté personnelle chevillé au corps. Découvrez-en plus sur les services de XENATON dans cette section <a class="" href="#scrollSpyTools">Outils</a> sur l'onglet <mark><i class="bi bi-patch-question"></i> XENATON</mark>.
                            </p>
                            <p>
                                Pour augmenter encore la sécurité fournie par le XENATX et pallier de potentielles fragilités du chiffrement (manque d'entropie des clés, IA, timing attack, calculateur quantique, etc.), plusieurs solutions s'offrent à vous et la liste n'est pas exhaustive.
                            </p>
                            <p>
                                Pour plus d'entropie, les clés peuvent être générées par des CSPRNG en ligne de commande sur des systèmes Linux/Unix. Des générateurs d'entropie additionnels peuvent aussi aider. Le plus courant est lié aux mouvements de la souris, comme celui que nous utilisons dans la section "Chiffrement sym." et l'onglet "Entropie du sel". Le but est de tendre vers le TRNG (True Random Number Generator). 
                                <br>Des logiciels open source comme Veracrypt ont ce type de solution dans leur "Keyfile generator". Par ailleurs, leur fonctionnalité de volume caché est aussi à découvrir. La Stéganographie sous toutes ses formes a également son importance.
                            </p>
                            <p>
                                Vous pouvez également améliorer la résistance de vos contenus chiffrés par l'utilisation de masques jetables (OTP - One Time Pad) pour les élements les plus sensibles de vos messages en clair avant chiffrement "classique". Cela nécessite néanmoins l'échange préalable de répertoires d'OTP, bien générés avec un maximum d'entropie. Pour augmenter l'entropie, nous indiquons même des solutions à base de dés... Lent mais fiable.
                                <br>Cela peut en valoir la peine dans certaines situations. Nous approfondissons ces sujets dans notre programme XenaTraining mais vous en avez déjà un bon aperçu dans la rubrique "Explications" de la section "OTP - Masque jetable".
                            </p>
                            <p>
                                Dans tous les cas, nous vous conseillons de vous méfier des failles matérielles et failles "zero day" de vos systèmes d'exploitation et applications sur vos smartphone et ordinateur connectés en permanence à Internet... Pensez sérieusement à utiliser le XENATX, ou un autre logiciel de chiffrement, sur un équipement OFF définitivement hors ligne.
                            </p>
                            <p>
                                Merci de votre intérêt et bonne utilisation éclairée du XENATX.
                            </p>`        
                },
                "menuCypherAsym": "Chiffrement asym. et génération d'une paire de clés"
            }
        }
    }
};