// *****************
// GENERATE QR CODE
// *****************

(function() {

    "use strict";

    function addNewQrCode(index, multiple) {
        var qrcodeWrapper = document.getElementById('qrcodeWrapper');
        if(multiple) {
            var newDivTitle = document.createElement('p');
            newDivTitle.setAttribute("class", "h4");
            newDivTitle.innerText = 'QR Code n°' + (index+1);
            qrcodeWrapper.appendChild(newDivTitle);
        }
        var newDivQRCode = document.createElement('div');
        newDivQRCode.setAttribute("id", "qrcode" + index);
        newDivQRCode.setAttribute("class", "qrcode__pad");
        qrcodeWrapper.appendChild(newDivQRCode);

    }

    function makeCode () {		

        var variousContent = document.getElementById('variousContent').value;
        var variousContentMaxCharacters = 50000;
        var variousContentBlock = 500;

        if(variousContent == '') {
            document.getElementById("errorQRCode").innerHTML = '<p class="alert alert-danger"><i class="bi bi-exclamation-circle"></i> Veuillez indiquer un contenu à transformer en QR Code.</p>'
            return;
        }

        if(variousContent.length > variousContentMaxCharacters) {
            document.getElementById("errorQRCode").innerHTML = '<p class="alert alert-danger"><i class="bi bi-exclamation-circle"></i> La taille des informations est trop importante pour un transfert par QR Code. Utilisez le Transmetteur Acoustique en Morse.</p>'
            return;
        }
        
        if(variousContent.length > variousContentBlock) {
            var blocks = variousContent.match(/.{1,700}/g);

            blocks.forEach((item, index) => {
                addNewQrCode(index, true);
                var qrcode = new QRCode("qrcode" + index);
                qrcode.makeCode(item);
            });
        } 
        else {
            addNewQrCode(0, false);
            var qrcode = new QRCode("qrcode");
            qrcode.makeCode(variousContent);
        }
    }

    var generateQRCode = document.getElementById('generateQRCode');
    if(generateQRCode){
        generateQRCode.addEventListener('click', function(e){
            e.preventDefault();
            var errorQRCode = document.getElementById("errorQRCode");
            errorQRCode.innerHTML = '';

            const myNode = document.getElementById("qrcodeWrapper");
                  myNode.innerHTML = '';
            qrcodeWrapper.style.display = 'block';
            setDisabled('generateQRCode');
            makeCode();
        })
    }

    // cancel
    var cancelQRCode = document.getElementById('cancelQRCode');
    if(cancelQRCode){
        cancelQRCode.addEventListener('click', function(e){
            e.preventDefault();
            var errorQRCode = document.getElementById("errorQRCode");
            errorQRCode.innerHTML = '';

            const variousContent = document.getElementById("variousContent");
                  variousContent.value = '';

            const nodeQrcode = document.getElementById("qrcode");
                  nodeQrcode.innerHTML = '';

            const nodeQrcodeWrapper = document.getElementById("qrcodeWrapper");
                  nodeQrcodeWrapper.innerHTML = '';

            qrcodeWrapper.style.display = 'block';

            removeDisabled('generateQRCode');
        })
    }
})();